Subject: bug#31130: 26; Regression: intra-glossary links broken in Emacs manual

From: Drew Adams <[email-masked]>
Date: Thu, 12 Apr 2018 07:42:47 -0700 (PDT)

> > > This regression was introduced in Emacs 24.5.  Prior to that, in
> > > Emacs 24 the links worked fine.
> >
> > This works fine for me in emacs-26 -Q, admittedly on GNU/Linux, not
> > Windows.
> 
> It shouldn't matter, because the Info files come from the source
> tarball in this case.
> 
> Anyway, I cannot reproduce this on Windows, either, neither with Emacs
> 26.1 which I built myself, not with the binary from the GNU site.
>
> Drew, are you sure you are reading the Info files that came with the
> Emacs binary whose details you included in the report?  ISTR that you
> reported in the past similar problems, and each time the reason turned
> out to be old Info files and/or old Emacs versions.
>
> Both Texinfo and
> Emacs changed a few years ago how offsets of index entries are
> calculated and used, and the change matters when the Info file has DOS
> CR-LF line endings, so now old Info files and new Emacs might be
> incompatible.

1. Trying again now, I can repro the problem only in Emacs 24.5,
   not in the more recent releases/builds.

2. I'm sure I tested those multiple builds, using `emacs -Q',
   going back to see whether it ever worked and, if so, in
   what release it became broken.  IIRC, found that prior to
   Emacs 24 those terms were not links; in Emacs 24.4 the
   links worked correctly; and starting with Emacs 24.5,
   through 27 (3rd snapshot) the links were broken.

3. I don't know how or why I saw different behavior then
   than now, when I retest.  I don't know what you mean,
   about somehow reading Info files that didn't come with
   the same binary.  How would that even happen?

4. But if it can happen then yes, perhaps that is the cause.
   I often have Emacs 20, 24.5, and something recent (e.g.
   27) open at the outset, using my setup.  And it's likely
   that I've already used Info in one or more of those,
   before I notice a problem and then retest using `emacs -Q'.

   In this case, I know that I discovered this problem first
   in a build using my setup.  I don't recall whether it was
   Emacs 24.5 or 26, but I'm pretty sure it was 26.  However,
   I may have already used Info with Emacs 24.5 at some point.

Sorry for any confusion.  I don't really understand what's
causing the mixup in behavior, but I'm sure that I tested
each of the releases 24.5, 25.3.1, and 26 using `emacs -Q'.
But I confirm that doing that again now I don't see the
problem except in 24.5.